#pragma once
#include "Jass.h"

class sMyString {
private:
	char *vStr;
	static const int CONST_MAX_SIZE_MASS = 100000;
public:
	bool vBoolData;
    int vLen;
    char *vData;
	bool vBoolTempData;
    int vLenTemp;
    char *vTempData;
    char *vTempData2;
    sMyString();
    sMyString(char* pStr);
    sMyString(int vInt);
    //virtual ~sMyString(void);
	~sMyString();
	void operator = (sMyString& vMyString);
	void operator = (char* vMyString);
    //void operator + (const sMyString& vMyString);
    //void operator + (char* vMyString);
    bool operator == (const sMyString& vMyString);
    bool operator == (char* vMyString);
    bool operator != (const sMyString& vMyString);
    bool operator != (char* vMyString);
	operator char *() const;
	operator sMyString() const;
	void fTempData2();
	sMyString(const sMyString& vMyString);
};

sMyString operator + (sMyString& vMyString1, sMyString& vMyString2);
//sMyString operator + (char* vMyString1, sMyString& vMyString2);
sMyString operator + (sMyString& vMyString1, char* vMyString2);